Bug 239247 - Review Request: emacs-common-ebib - BibTeX database manage for Emacsen
Review Request: emacs-common-ebib - BibTeX database manage for Emacsen
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
All Linux
medium Severity medium
: ---
: ---
Assigned To: Jason Tibbitts
Fedora Package Reviews List
Depends On:
  Show dependency treegraph
Reported: 2007-05-06 18:12 EDT by Jonathan Underwood
Modified: 2008-01-22 16:58 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2008-01-22 16:58:25 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
tibbs: fedora‑review+
kevin: fedora‑cvs+

Attachments (Terms of Use)

  None (edit)
Description Jonathan Underwood 2007-05-06 18:12:12 EDT
Spec URL: http://jgu.nonlogic.org/emacs-common-ebib.spec
SRPM URL: http://jgu.nonlogic.org/emacs-common-ebib-1.3.1-1.src.rpm
Ebib is a BibTeX database manager that runs in GNU Emacs and
XEmacs. With Ebib, you can create and manage .bib-files, all within
Emacs. It supports @string and @preamble definitions, multi-line field
values, searching, and integration with Emacs' (La)TeX mode.

Ebib provides the standard capabilities that one would expect from a BibTeX
database manager: .bib files can be opened, modified (adding, deleting,
modifying entries), searched, and saved. Obviously, it is also possible to start
a new database from scratch. A nice property is the ability to copy single
entries to another .bib file: this makes it possible to create a new .bib file
from a subset of the entries of an existing database. This can be useful
e.g. when you want to create a .bib file for a paper containing only the works
cited in that paper.
Comment 1 Jens Petersen 2007-07-20 04:14:46 EDT
I would suggest renaming this to emacs-ebib.
Comment 2 Jonathan Underwood 2007-07-20 04:41:49 EDT
Please see the package naming guidelines - this builds packages for GNU Emacs
and XEmacs. There are emacs-ebib and xemacs-ebib subpackages. As per naming
guidelines the main package is called emacs-common-ebib.
Comment 3 Jason Tibbitts 2007-10-22 23:25:45 EDT
Might as well try to deal with any other pending emacs packages.  Which is just this one, I think.

Some interesting bits:

  head -28 ~/tmp/ebib-1.3.1/ebib.el | sed 's/;;//g' > COPYING
has about zero chance of working.

rpmlint says:
   emacs-common-ebib.noarch: E: zero-length 
Fallout from the above.

   emacs-common-ebib.noarch: E: description-line-too-long modifying entries),    
   searched, and saved. Obviously, it is also possible to start
This goes to exactly 80 characters; might be nice to wrap at 72.  I don't know what rpmlint will allow before complaining.

   emacs-common-ebib.noarch: W: non-standard-group Applications/Office
   emacs-ebib.noarch: W: non-standard-group Applications/Office
   emacs-ebib-el.noarch: W: non-standard-group Applications/Office
   xemacs-ebib.noarch: W: non-standard-group Applications/Office
   xemacs-ebib-el.noarch: W: non-standard-group Applications/Office
Group is irrelevant these days.

   emacs-ebib.noarch: W: no-documentation
   emacs-ebib-el.noarch: W: no-documentation
   xemacs-ebib.noarch: W: no-documentation
   xemacs-ebib-el.noarch: W: no-documentation
These are OK.

I know there's a bunch of stuff in the emacs packaging guidelines that isn't in this package.  Things like the versioned dependencies on emacs(bin) and xemacs(bin) and the pkgconfig calls to extract that info.  Over time I've lost any emacs expertise I ever had, but the guidelines do have a reasonable explanation of why those dependencies are necessary.  But I guess you should know better than most.  Are they needed in this package?
Comment 4 Jonathan Underwood 2007-10-23 05:46:39 EDT
Thanks Jason. I have to admit, I had completely forgotten about this package,
and haven't been keeping the spec up to date with the guidelines. I'll resurrect
my work on this at the weekend and fix it up. Thanks for taking a look.
Comment 5 Jason Tibbitts 2007-10-23 06:18:22 EDT
No problem.  I'll be away from computers this weekend but I'll be happy to take
a look when I get back.
Comment 6 Jason Tibbitts 2008-01-18 02:52:14 EST
So it's been three more months; any chance we could finish this up?
Comment 7 Jonathan Underwood 2008-01-18 08:09:47 EST
Oh, crap. This totally escaped my mind. This is at the very top of my list for
this weekend. Apologies.
Comment 8 Jonathan Underwood 2008-01-19 14:12:54 EST
Spec URL: http://jgu.nonlogic.org/emacs-common-ebib.spec
SRPM URL: http://jgu.nonlogic.org/emacs-common-ebib-1.5.2-1.src.rpm

* Sat Jan 19 2008 Jonathan G. Underwood <rpmb@renton.jgu> - 1.5.2-1
- Update to version 1.5.2
- Conform to emacs packaging guidelines

Fixed up the rpmlint issues where relevant, as well.
Comment 9 Jonathan Underwood 2008-01-19 14:14:35 EST
Oops, wrong URLs

Spec URL: http://jgu.fedorapeople.org/emacs-common-ebib.spec
SRPM URL: http://jgu.fedorapeople.org/emacs-common-ebib-1.5.2-1.src.rpm
Comment 10 Jonathan Underwood 2008-01-19 14:16:26 EST
Ugh. I will get these damn URLs correct:

Spec URL: http://jgu.fedorapeople.org/emacs-common-ebib.spec
SRPM URL: http://jgu.fedorapeople.org/emacs-common-ebib-1.5.2-1.fc8.src.rpm
Comment 11 Jason Tibbitts 2008-01-20 14:55:43 EST
All rpmlint has to say is:
  emacs-ebib.noarch: W: no-documentation
  emacs-ebib-el.noarch: W: no-documentation
  xemacs-ebib.noarch: W: no-documentation
  xemacs-ebib-el.noarch: W: no-documentation
which are all OK as the documentation is in the -common package.

Everything looks good to me.

* source files match upstream:
* package meets naming and versioning guidelines.
* specfile is properly named, is cleanly written and uses macros consistently.
* summary is OK.
* description is OK.
* dist tag is present.
* build root is OK.
* license field matches the actual license.
* license is open source-compatible.
* license text included in package.
* latest version is being packaged.
* BuildRequires are proper.
* %clean is present.
* package builds in mock (rawhide, x86_64).
* package installs properly
* rpmlint has acceptable complaints.
* final provides and requires are sane:
   emacs-common-ebib = 1.5.2-1.fc9

   emacs-ebib = 1.5.2-1.fc9
   emacs(bin) >= 22.1.50
   emacs-common-ebib = 1.5.2-1.fc9

   emacs-ebib-el = 1.5.2-1.fc9
   emacs-ebib = 1.5.2-1.fc9

   xemacs-ebib = 1.5.2-1.fc9
   emacs-common-ebib = 1.5.2-1.fc9
   xemacs(bin) >= 21.5.28

   xemacs-ebib-el = 1.5.2-1.fc9
   xemacs-ebib = 1.5.2-1.fc9

* %check is not present; no test suite upstream.  I did not test this package.
* owns the directories it creates.
* doesn't own any directories it shouldn't.
* no duplicates in %files.
* file permissions are appropriate.
* scriptlets are OK (info docs installation)
* code, not content.
* documentation is small, so no -doc subpackage is necessary.
* %docs are not necessary for the proper functioning of the package.

Comment 12 Jonathan Underwood 2008-01-20 15:01:12 EST
OK, many thanks for taking the time to review, Jason.
Comment 13 Jonathan Underwood 2008-01-20 15:03:42 EST
New Package CVS Request
Package Name: emacs-common-ebib
Short Description: A BibTeX database manager for GNU Emacs and XEmacs
Owners: jgu
Branches: F-7 F-8
Cvsextras Commits: yes
Comment 14 Kevin Fenzi 2008-01-21 11:55:39 EST
cvs done.
Comment 15 Jonathan Underwood 2008-01-22 16:58:25 EST
Thanks Kevin, Jason.

Package imported and built, closing review.

Note You need to log in before you can comment on or make changes to this bug.